Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class PluginAssertionFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.digester3.plugins.PluginAssertionFailure

All Implemented Interfaces:
  Serializable

    public class PluginAssertionFailure

extends RuntimeException

Thrown when a bug is detected in the plugins code.

This class is intended to be used in assertion statements, similar to the way that java 1.4's native assertion mechanism is used. However there is a difference: when a java 1.4 assertion fails, an AssertionError is thrown, which is a subclass of Error; here, the PluginAssertionFailure class extends RuntimeException rather than Error.

This difference in design is because throwing Error objects is not good in a container-based architecture.

Example:

     if ( impossibleCondition )
     {
         throw new PluginAssertionFailure( "internal error: impossible condition is true" );
     }

Note that PluginAssertionFailure should not be thrown when user input is bad, or when code external to the Digester module passes invalid parameters to a plugins method. It should be used only in checks for problems which indicate internal bugs within the plugins module.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`PluginAssertionFailure(String msg)` Constructs a new exception with the specified detail message.
`PluginAssertionFailure(String msg, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`PluginAssertionFailure(Throwable cause)` Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginAssertionFailure

    public PluginAssertionFailure(Throwable cause)

  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - underlying exception that caused this to be thrown

### PluginAssertionFailure

    public PluginAssertionFailure(String msg)

  Constructs a new exception with the specified detail message.

  Parameters:
    `msg` - describes the reason this exception is being thrown.

### PluginAssertionFailure

    public PluginAssertionFailure(String msg,
                                  Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `msg` - describes the reason this exception is being thrown.
    `cause` - underlying exception that caused this to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.